// Place your key bindings in this file to override the defaults
[
    {
        "key": "g d",
        "command": "editor.action.revealDefinition",
        "when": "vim.active && vim.mode == 'Visual'"
    },
    {
        "key": "g shift-d",
        "command": "editor.action.revealDefinition",
        "when": "vim.active && vim.mode == 'Visual'"
    },
    {
        "key": "alt-shift-p",
        "command": "workbench.action.previousEditor",
        "when": "editorTextFocus"
    },
    {
        "key": "alt-shift-n",
        "command": "workbench.action.nextEditor",
        "when": "editorTextFocus"
    },
    {
        "key": "\\ f d s",
        "command": "outline.focus",
        "when": "vim.active && vim.mode != 'Insert'"
    },
    {
        "key": "\\ f g",
        "command": "workbench.action.findInFiles",
        "when": "vim.active && vim.mode != 'Insert'"
    },
    {
        "key": "\\ f f",
        "command": "workbench.action.quickOpen",
        "when": "vim.active && vim.mode != 'Insert'"
    },
    {
        "key": "-",
        "command": "workbench.view.explorer",
        "when": "vim.active && vim.mode != 'Insert'"
    },
    {
        "key": "ctrl-b",
        "command": "workbench.action.toggleSidebarVisibility",
        "when": "vim.active && vim.mode != 'Insert'"
    },
    {
        "key": "\\ f b",
        "command": "workbench.action.quickOpenPreviousRecentlyUsedEditor",
        "when": "vim.active && vim.mode != 'Insert'"
    },
]